### Method

# Atk Document set_text_selections

since: 2.52

#### Declaration [src]

    gboolean
    atk_document_set_text_selections (
      AtkDocument* document,
      GArray* selections
    )

#### Description [src]

Makes 1 or more selections within this document denoted by the given array of AtkTextSelections. Any existing physical selection (inside or outside this document) is replaced by the new selections. All objects within the given selection ranges must be descendants of this document. Otherwise FALSE will be returned.

Available since: 2.52

#### Parameters

`selections`

  Type: An array of `None`

  A GArray of AtkTextSelections to be selected.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the selection was made successfully; FALSE otherwise.